aboutsummaryrefslogtreecommitdiff
path: root/test/lint
diff options
context:
space:
mode:
authorHennadii Stepanov <32963518+hebasto@users.noreply.github.com>2020-04-07 21:34:37 +0300
committerHennadii Stepanov <32963518+hebasto@users.noreply.github.com>2020-04-17 16:09:04 +0300
commit1362be044724bb49d785ca2e296a3b43343c1690 (patch)
tree801c1a93f6fa2974ae67ada05ec0fb8393b488c0 /test/lint
parent1b151e3ffce7c1a2ee46bf280cc1d96775d1f91e (diff)
downloadbitcoin-1362be044724bb49d785ca2e296a3b43343c1690.tar.xz
build: Drop make dist in gitian builds
Diffstat (limited to 'test/lint')
-rwxr-xr-xtest/lint/lint-shell.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/test/lint/lint-shell.sh b/test/lint/lint-shell.sh
index f59b2c9945..d31ea14ea8 100755
--- a/test/lint/lint-shell.sh
+++ b/test/lint/lint-shell.sh
@@ -46,15 +46,17 @@ if ! command -v yq > /dev/null; then
fi
EXCLUDE_GITIAN=${EXCLUDE}",$(IFS=','; echo "${disabled_gitian[*]}")"
+SHELLCHECK_CMD="shellcheck --external-sources --check-sourced $EXCLUDE_GITIAN"
for descriptor in $(git ls-files -- 'contrib/gitian-descriptors/*.yml')
do
- echo
- echo "$descriptor"
+ script=$(basename "$descriptor")
# Use #!/bin/bash as gitian-builder/bin/gbuild does to complete a script.
- SCRIPT=$'#!/bin/bash\n'$(yq -r .script "$descriptor")
- if ! echo "$SCRIPT" | shellcheck "$EXCLUDE_GITIAN" -; then
+ echo "#!/bin/bash" > $script
+ yq -r .script "$descriptor" >> $script
+ if ! $SHELLCHECK_CMD $script; then
EXIT_CODE=1
fi
+ rm $script
done
exit $EXIT_CODE